<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>frontend documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">frontend documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content class">
                   <div class="content-data">











<ol class="breadcrumb">
  <li>Classes</li>
  <li>TestingCardsEdit</li>
</ol>

<ul class="nav nav-tabs" role="tablist">
        <li class="active">
            <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
        </li>
        <li >
            <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
        </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info">
        <p class="comment">
            <h3>File</h3>
        </p>
        <p class="comment">
            <code>e2e/page-object/operation/testing-cards/testing-cards-edit.po.ts</code>
        </p>

            <p class="comment">
                <h3>Description</h3>
            </p>
            <p class="comment">
                <p>Page object for the testing cards lot edit section</p>

            </p>




            <section>
    <h3 id="index">Index</h3>
    <table class="table table-sm table-bordered index-table">
        <tbody>






                    <tr>
                        <td class="col-md-4">
                            <h6><b>Accessors</b></h6>
                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <ul class="index-list">
                                <li>
                                    <a href="#root">root</a>
                                </li>
                                <li>
                                    <a href="#cardType">cardType</a>
                                </li>
                                <li>
                                    <a href="#lotName">lotName</a>
                                </li>
                                <li>
                                    <a href="#shouldPrint">shouldPrint</a>
                                </li>
                                <li>
                                    <a href="#count">count</a>
                                </li>
                                <li>
                                    <a href="#signature">signature</a>
                                </li>
                                <li>
                                    <a href="#firstName">firstName</a>
                                </li>
                                <li>
                                    <a href="#lastName">lastName</a>
                                </li>
                                <li>
                                    <a href="#birthday">birthday</a>
                                </li>
                                <li>
                                    <a href="#address">address</a>
                                </li>
                                <li>
                                    <a href="#address2">address2</a>
                                </li>
                                <li>
                                    <a href="#street">street</a>
                                </li>
                                <li>
                                    <a href="#postalCode">postalCode</a>
                                </li>
                                <li>
                                    <a href="#city">city</a>
                                </li>
                                <li>
                                    <a href="#country">country</a>
                                </li>
                                <li>
                                    <a href="#doi">doi</a>
                                </li>
                                <li>
                                    <a href="#language">language</a>
                                </li>
                                <li>
                                    <a href="#saveButton">saveButton</a>
                                </li>
                                <li>
                                    <a href="#printerName">printerName</a>
                                </li>
                            </ul>
                        </td>
                    </tr>
        </tbody>
    </table>
</section>









            <section>
    <h3 id="accessors">
        Accessors
    </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="root"></a>
                        <span class="name"><b>root</b><a href="#root"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>root()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="19" class="link-to-prism">e2e/page-object/operation/testing-cards/testing-cards-edit.po.ts:19</a></div>
                                </td>
                            </tr>
                    <tr>
                        <td class="col-md-4">

                                <div>
                                </div>
                                <div class="io-description">
                                    <b>Returns : </b>    <code><a href="../classes/Card.html" target="_self" >Card</a></code>

                                </div>
                        </td>
                    </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="cardType"></a>
                        <span class="name"><b>cardType</b><a href="#cardType"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>cardType()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="26" class="link-to-prism">e2e/page-object/operation/testing-cards/testing-cards-edit.po.ts:26</a></div>
                                </td>
                            </tr>
                    <tr>
                        <td class="col-md-4">

                                <div>
                                </div>
                                <div class="io-description">
                                    <b>Returns : </b>    <code><a href="../classes/SelectField.html" target="_self" >SelectField</a></code>

                                </div>
                        </td>
                    </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="lotName"></a>
                        <span class="name"><b>lotName</b><a href="#lotName"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>lotName()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="33" class="link-to-prism">e2e/page-object/operation/testing-cards/testing-cards-edit.po.ts:33</a></div>
                                </td>
                            </tr>
                    <tr>
                        <td class="col-md-4">

                                <div>
                                </div>
                                <div class="io-description">
                                    <b>Returns : </b>    <code><a href="../classes/InputField.html" target="_self" >InputField</a></code>

                                </div>
                        </td>
                    </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="shouldPrint"></a>
                        <span class="name"><b>shouldPrint</b><a href="#shouldPrint"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>shouldPrint()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="40" class="link-to-prism">e2e/page-object/operation/testing-cards/testing-cards-edit.po.ts:40</a></div>
                                </td>
                            </tr>
                    <tr>
                        <td class="col-md-4">

                                <div>
                                </div>
                                <div class="io-description">
                                    <b>Returns : </b>    <code><a href="../classes/SlideToggle.html" target="_self" >SlideToggle</a></code>

                                </div>
                        </td>
                    </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="count"></a>
                        <span class="name"><b>count</b><a href="#count"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>count()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="47" class="link-to-prism">e2e/page-object/operation/testing-cards/testing-cards-edit.po.ts:47</a></div>
                                </td>
                            </tr>
                    <tr>
                        <td class="col-md-4">

                                <div>
                                </div>
                                <div class="io-description">
                                    <b>Returns : </b>    <code><a href="../classes/InputField.html" target="_self" >InputField</a></code>

                                </div>
                        </td>
                    </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="signature"></a>
                        <span class="name"><b>signature</b><a href="#signature"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>signature()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="54" class="link-to-prism">e2e/page-object/operation/testing-cards/testing-cards-edit.po.ts:54</a></div>
                                </td>
                            </tr>
                    <tr>
                        <td class="col-md-4">

                                <div>
                                </div>
                                <div class="io-description">
                                    <b>Returns : </b>    <code><a href="../classes/SelectField.html" target="_self" >SelectField</a></code>

                                </div>
                        </td>
                    </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="firstName"></a>
                        <span class="name"><b>firstName</b><a href="#firstName"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>firstName()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="61" class="link-to-prism">e2e/page-object/operation/testing-cards/testing-cards-edit.po.ts:61</a></div>
                                </td>
                            </tr>
                    <tr>
                        <td class="col-md-4">

                                <div>
                                </div>
                                <div class="io-description">
                                    <b>Returns : </b>    <code><a href="../classes/InputField.html" target="_self" >InputField</a></code>

                                </div>
                        </td>
                    </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="lastName"></a>
                        <span class="name"><b>lastName</b><a href="#lastName"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>lastName()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="68" class="link-to-prism">e2e/page-object/operation/testing-cards/testing-cards-edit.po.ts:68</a></div>
                                </td>
                            </tr>
                    <tr>
                        <td class="col-md-4">

                                <div>
                                </div>
                                <div class="io-description">
                                    <b>Returns : </b>    <code><a href="../classes/InputField.html" target="_self" >InputField</a></code>

                                </div>
                        </td>
                    </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="birthday"></a>
                        <span class="name"><b>birthday</b><a href="#birthday"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>birthday()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="75" class="link-to-prism">e2e/page-object/operation/testing-cards/testing-cards-edit.po.ts:75</a></div>
                                </td>
                            </tr>
                    <tr>
                        <td class="col-md-4">

                                <div>
                                </div>
                                <div class="io-description">
                                    <b>Returns : </b>    <code><a href="../classes/DatePicker.html" target="_self" >DatePicker</a></code>

                                </div>
                        </td>
                    </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="address"></a>
                        <span class="name"><b>address</b><a href="#address"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>address()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="82" class="link-to-prism">e2e/page-object/operation/testing-cards/testing-cards-edit.po.ts:82</a></div>
                                </td>
                            </tr>
                    <tr>
                        <td class="col-md-4">

                                <div>
                                </div>
                                <div class="io-description">
                                    <b>Returns : </b>    <code><a href="../classes/InputField.html" target="_self" >InputField</a></code>

                                </div>
                        </td>
                    </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="address2"></a>
                        <span class="name"><b>address2</b><a href="#address2"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>address2()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="89" class="link-to-prism">e2e/page-object/operation/testing-cards/testing-cards-edit.po.ts:89</a></div>
                                </td>
                            </tr>
                    <tr>
                        <td class="col-md-4">

                                <div>
                                </div>
                                <div class="io-description">
                                    <b>Returns : </b>    <code><a href="../classes/InputField.html" target="_self" >InputField</a></code>

                                </div>
                        </td>
                    </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="street"></a>
                        <span class="name"><b>street</b><a href="#street"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>street()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="96" class="link-to-prism">e2e/page-object/operation/testing-cards/testing-cards-edit.po.ts:96</a></div>
                                </td>
                            </tr>
                    <tr>
                        <td class="col-md-4">

                                <div>
                                </div>
                                <div class="io-description">
                                    <b>Returns : </b>    <code><a href="../classes/InputField.html" target="_self" >InputField</a></code>

                                </div>
                        </td>
                    </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="postalCode"></a>
                        <span class="name"><b>postalCode</b><a href="#postalCode"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>postalCode()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="103" class="link-to-prism">e2e/page-object/operation/testing-cards/testing-cards-edit.po.ts:103</a></div>
                                </td>
                            </tr>
                    <tr>
                        <td class="col-md-4">

                                <div>
                                </div>
                                <div class="io-description">
                                    <b>Returns : </b>    <code><a href="../classes/InputField.html" target="_self" >InputField</a></code>

                                </div>
                        </td>
                    </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="city"></a>
                        <span class="name"><b>city</b><a href="#city"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>city()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="110" class="link-to-prism">e2e/page-object/operation/testing-cards/testing-cards-edit.po.ts:110</a></div>
                                </td>
                            </tr>
                    <tr>
                        <td class="col-md-4">

                                <div>
                                </div>
                                <div class="io-description">
                                    <b>Returns : </b>    <code><a href="../classes/InputField.html" target="_self" >InputField</a></code>

                                </div>
                        </td>
                    </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="country"></a>
                        <span class="name"><b>country</b><a href="#country"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>country()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="117" class="link-to-prism">e2e/page-object/operation/testing-cards/testing-cards-edit.po.ts:117</a></div>
                                </td>
                            </tr>
                    <tr>
                        <td class="col-md-4">

                                <div>
                                </div>
                                <div class="io-description">
                                    <b>Returns : </b>    <code><a href="../classes/InputField.html" target="_self" >InputField</a></code>

                                </div>
                        </td>
                    </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="doi"></a>
                        <span class="name"><b>doi</b><a href="#doi"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>doi()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="124" class="link-to-prism">e2e/page-object/operation/testing-cards/testing-cards-edit.po.ts:124</a></div>
                                </td>
                            </tr>
                    <tr>
                        <td class="col-md-4">

                                <div>
                                </div>
                                <div class="io-description">
                                    <b>Returns : </b>    <code><a href="../classes/SelectField.html" target="_self" >SelectField</a></code>

                                </div>
                        </td>
                    </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="language"></a>
                        <span class="name"><b>language</b><a href="#language"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>language()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="131" class="link-to-prism">e2e/page-object/operation/testing-cards/testing-cards-edit.po.ts:131</a></div>
                                </td>
                            </tr>
                    <tr>
                        <td class="col-md-4">

                                <div>
                                </div>
                                <div class="io-description">
                                    <b>Returns : </b>    <code><a href="../classes/SelectField.html" target="_self" >SelectField</a></code>

                                </div>
                        </td>
                    </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="saveButton"></a>
                        <span class="name"><b>saveButton</b><a href="#saveButton"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>saveButton()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="138" class="link-to-prism">e2e/page-object/operation/testing-cards/testing-cards-edit.po.ts:138</a></div>
                                </td>
                            </tr>
                    <tr>
                        <td class="col-md-4">

                                <div>
                                </div>
                                <div class="io-description">
                                    <b>Returns : </b>    <code><a href="../classes/Button.html" target="_self" >Button</a></code>

                                </div>
                        </td>
                    </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="printerName"></a>
                        <span class="name"><b>printerName</b><a href="#printerName"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>printerName()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="145" class="link-to-prism">e2e/page-object/operation/testing-cards/testing-cards-edit.po.ts:145</a></div>
                                </td>
                            </tr>
                    <tr>
                        <td class="col-md-4">

                                <div>
                                </div>
                                <div class="io-description">
                                    <b>Returns : </b>    <code>promise.Promise&lt;string&gt;</code>

                                </div>
                        </td>
                    </tr>

            </tbody>
        </table>
</section>
    </div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { by, element } from &#x27;protractor&#x27;;
import { Button } from &#x27;../../../shared/button&#x27;;
import { SlideToggle } from &#x27;../../../shared/slide-toggle&#x27;;
import { DatePicker } from &#x27;../../../shared/date-picker&#x27;;
import { promise } from &#x27;selenium-webdriver&#x27;;
import { Card } from &#x27;../../../shared/card&#x27;;
import { Cache } from &#x27;../../cache.po&#x27;;
import { SelectField } from &#x27;../../../shared/select-field&#x27;;
import { InputField } from &#x27;../../../shared/input-field&#x27;;

/**
 * Page object for the testing cards lot edit section
 */
export class TestingCardsEdit {

  /**
   * @returns {Card} the edit section element itself
   */
  static get root(): Card {
    return Cache.card(&#x27;testingCardsLotEdit&#x27;);
  }

  /**
   * @returns {SelectField} the &quot;card type&quot; field
   */
  static get cardType(): SelectField {
    return Cache.selectField(this.root.content, &#x27;testingCardsLotEdit&#x27;, &#x27;cardType&#x27;);
  }

  /**
   * @returns {InputField} the &quot;lot name&quot; field
   */
  static get lotName(): InputField {
    return Cache.inputField(this.root.content, &#x27;testingCardsLotEdit&#x27;, &#x27;lotName&#x27;);
  }

  /**
   * @returns {SlideToggle} the &quot;should print&quot; field
   */
  static get shouldPrint(): SlideToggle {
    return Cache.slideToggle(this.root.content, &#x27;testingCardsLotEdit&#x27;, &#x27;shouldPrint&#x27;);
  }

  /**
   * @returns {InputField} the &quot;count&quot; field
   */
  static get count(): InputField {
    return Cache.inputField(this.root.content, &#x27;testingCardsLotEdit&#x27;, &#x27;count&#x27;);
  }

  /**
   * @returns {SelectField} the &quot;signature&quot; field
   */
  static get signature(): SelectField {
    return Cache.selectField(this.root.content, &#x27;testingCardsLotEdit&#x27;, &#x27;signature&#x27;);
  }

  /**
   * @returns {InputField} the &quot;first name&quot; field
   */
  static get firstName(): InputField {
    return Cache.inputField(this.root.content, &#x27;testingCardsLotEdit&#x27;, &#x27;firstName&#x27;);
  }

  /**
   * @returns {InputField} the &quot;last name&quot; field
   */
  static get lastName(): InputField {
    return Cache.inputField(this.root.content, &#x27;testingCardsLotEdit&#x27;, &#x27;lastName&#x27;);
  }

  /**
   * @returns {DatePicker} the &quot;birthday field
   */
  static get birthday(): DatePicker {
    return Cache.datePickerField(this.root.content, &#x27;testingCardsLotEdit&#x27;, &#x27;birthday&#x27;);
  }

  /**
   * @returns {InputField} the first &quot;address&quot; field
   */
  static get address(): InputField {
    return Cache.inputField(this.root.content, &#x27;testingCardsLotEdit&#x27;, &#x27;address1&#x27;);
  }

  /**
   * @returns {InputField} the first &quot;address2&quot; field
   */
  static get address2(): InputField {
    return Cache.inputField(this.root.content, &#x27;testingCardsLotEdit&#x27;, &#x27;address2&#x27;);
  }

  /**
   * @returns {InputField} the &quot;street&quot; field
   */
  static get street(): InputField {
    return Cache.inputField(this.root.content, &#x27;testingCardsLotEdit&#x27;, &#x27;street&#x27;);
  }

  /**
   * @returns {InputField} the &quot;postal code&quot; field
   */
  static get postalCode(): InputField {
    return Cache.inputField(this.root.content, &#x27;testingCardsLotEdit&#x27;, &#x27;postalCode&#x27;);
  }

  /**
   * @returns {InputField} the &quot;city&quot; field
   */
  static get city(): InputField {
    return Cache.inputField(this.root.content, &#x27;testingCardsLotEdit&#x27;, &#x27;city&#x27;);
  }

  /**
   * @returns {InputField} the &quot;country&quot; field
   */
  static get country(): InputField {
    return Cache.inputField(this.root.content, &#x27;testingCardsLotEdit&#x27;, &#x27;country&#x27;);
  }

  /**
   * @returns {SelectField} the &quot;domain of influence&quot; field
   */
  static get doi(): SelectField {
    return Cache.selectField(this.root.content, &#x27;testingCardsLotEdit&#x27;, &#x27;doi&#x27;);
  }

  /**
   * @returns {SelectField} the &quot;language&quot; field
   */
  static get language(): SelectField {
    return Cache.selectField(this.root.content, &#x27;testingCardsLotEdit&#x27;, &#x27;language&#x27;);
  }

  /**
   * @returns {Button} the [SAVE] button
   */
  static get saveButton(): Button {
    return Cache.button(&#x27;saveButton&#x27;);
  }

  /**
   * @returns {promise.Promise&lt;string&gt;} the printer&#x27;s name
   */
  static get printerName(): promise.Promise&lt;string&gt; {
    return element(by.id(&#x27;printer&#x27;)).getText();
  }
}
</code></pre>
    </div>
</div>







                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'class';
            var COMPODOC_CURRENT_PAGE_URL = 'TestingCardsEdit.html';
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
